do
#****************************************************************************
#**
#**  File     :  /cdimage/units/UEB4202/UEB4202_script.lua
#**  Author(s):  David Tomandl
#**
#**  Summary  :  UEF Shield Generator Script
#**
#**  Copyright © 20010 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SShieldStructureUnit = import('/lua/seraphimunits.lua').SShieldStructureUnit

local OldXSB4202 = XSB4202
XSB4202 = Class(OldXSB4202) {
        
    -----------------------------------------------------------------------------
	--ENHANCEMENT
	
	CreateEnhancement = function(self, enh)
		OldXSB4202.CreateEnhancement(self, enh)
		local bp = self:GetBlueprint().Enhancements[enh]
		if not bp then return end
		
		if enh == 'InertialShield' then
			self:CreateShield(bp)
		elseif enh == 'InertialShieldRemove' then
			--remove inertial shield.
			self:DestroyShield()
		end
	end,
    
}

TypeClass = XSB4202

end